#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/db/include/common.h>

#include <fstream>
#include <string>

namespace maps::mrc::eye {

class IdStream {
public:
    IdStream(const std::string& filePath): in_(filePath) {}

    db::TIds readBatch(size_t size);

    bool valid() const { return bool(in_); }

private:
    std::ifstream in_;
};


} // maps::mrc::eye
